<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

unset( $_SESSION['producto'] );

if($_POST['botonDesleer']) {

	$trazas='';
	foreach($_POST as $clave=>$valor) if(substr($clave,0,7)=='liberar') {
	
		if($trazas!='') $trazas.='@';
		
		$valor=base64_decode($valor);
		
		///21-10-2024 Parametrizado posible Base64
		$trazas.=codificaTTT($valor);
	}
	
	$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#ANULACIONSALIDA#'.$_SESSION['salidaTrazabilidad']['OrdenPreparacion'].';'.$trazas;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	if($valores[0]=='0') echo '<p>Anulación realizada correctamente.</p>';	
	else echo '<p class="error">ERROR: '.$resultado[0]['Error'].'</p>';

}


$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLESALIDA#'.$_SESSION['salidaTrazabilidad']['OrdenPreparacion'];

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}
	
$_SESSION['salidaTrazabilidad']=$resultado[0];
$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['salidaTrazabilidad']['Productos']);

?>

<div class="estilosOP">

<div id="popupTrazabilidad" class="popup" style="display:none"></div>
<div id="popupTrazabilidadContenido" class="popupContenidoScroll" style="display:none"></div>

<h2>Trazabilidad de tabaco en orden de preparación Nº 
  <?php if($_GET['orden']) echo $_GET['orden']; else echo $_SESSION['salidaTrazabilidad']['OrdenPreparacion']; ?></h2>

<?php
if($resultado[0]['Error']) {
	$valores=explode('#',$resultado[0]['Error']);
	?><p class="error">ERROR: <?php echo $valores[1]; ?></p><?php
}
else {
?>

<table class="tablaFormateada desplazamientoSuperior">
<tr>
	<?php if( is_array($_SESSION['empresas']) && count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
	<th>Carga</th>
	<th>Fecha</th>
	<th>Cliente</th>
</tr>
<tr>
	<?php if(is_array($_SESSION['empresas']) && count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['salidaTrazabilidad']['Empresa']; ?></td><?php } ?>
	<td><?php echo $_SESSION['salidaTrazabilidad']['Carga']; ?></td>
	<td><?php echo fechaNacional($_SESSION['salidaTrazabilidad']['FechaCarga']); ?></td>
    <td><?php echo $_SESSION['salidaTrazabilidad']['NombreCliente']; ?></td>
  </tr>
</table>
    
<?php

// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosLeidos=array();

foreach($_SESSION['productos'] as $producto) {
	
	$cantidadLeida=0;
	foreach(arreglaArrayPXMobileProxiumResult($producto['IDsLeidos']) as $leido) $cantidadLeida+=$leido['Cantidad'];

	if($cantidadLeida>0) $productosLeidos[]=$producto;
}


if(is_array($productosLeidos) && count($productosLeidos)>0) {
	
	?>
    
    <form id="form1" name="form1" method="post" action="?traza=<?php echo $_GET['traza']; ?>">
    
	<h3>Anular trazabilidad registrada:</h3>
		
    <table class="tablaFormateada anchoMaximo">
    
		<tr>
			<th>Código</th>
        	<th>Descripción</th>
			<th>Precinta</th>
			<th>Id</th>
			<th>Formato</th>
            <th>Cantidad</th>
            <th>Anular</th>
		</tr>
        
        <?php $contador=1; ?>
        
        <?php foreach($productosLeidos as $producto) { ?>
        
			<?php foreach(arreglaArrayPXMobileProxiumResult($producto['IDsLeidos']) as $lectura) { ?>
    
            <tr class="lineaEntrada">
                        
                <td><?php echo $producto['Producto']; ?></td>
                <td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
                <td><?php echo $producto['Precinta']; ?></td>
                <td align="left"><?php echo formateaTTT($lectura['CodigoEscaneado']); ?></td>
                <td>
                <?php
					$arrayTemp=unserialize(FORMATOS_TRAZABILIDAD);
					echo $arrayTemp[$lectura['Formato']];
				?>                </td>
                <td align="right"><?php echo number_format($lectura['Cantidad'],0,',','.'); ?></td>
                <td><input type="checkbox" name="liberar<?php echo $contador; ?>" id="checkbox<?php echo $contador; ?>" class="checkGrande" value="<?php echo base64_encode($lectura['CodigoEscaneado']); ?>"/></td>
            </tr>
            
            <?php $contador++; ?>
            
            <?php }  ?>
            
		<?php }  ?>
	</table>
    
    <p><input type="submit" name="botonDesleer" id="botonDesleer" value="Confirmar anulación" class="mostrarCargando boton" /></p>
    
    

	</form>

<?php } ?>

<p><input type="submit" name="botonVolverDetalle" id="botonVolverDetalle" value="Volver al detalle de Trazabilidad de la Salida" class="mostrarCargando boton reducido" /></p>

</div> <!-- classe estilosOP -->

<script>

$(document).ready(function() {

	$('#botonVolverDetalle').on('click',function(){
		$('#popupCargando').show();
		window.location='trazabilidad-tabaco-salida.php';
	});
	
});

</script>
<?php
} //Else error

$noMostrarPlay=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-trazabilidad-tabaco-salida.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>